Skip to content

/fal-ai/vidu/reference-to-image

POST https://www.kkiai.com/fal-ai/vidu/reference-to-image

Official documentation: https://fal.ai/models/fal-ai/vidu/reference-to-image

Request Parameters

Authorization

Add the Authorization parameter to the Header with the value of Bearer followed by your Token

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
reference_image_urlsarray[string]Required
aspect_ratiostringOptionalImage aspect ratio, enum values: 1:1, 16:9, 9:16

Request Example

json
{
  "prompt": "The little devil is looking at the apple on the beach and walking around it.",
  "reference_image_urls": [
    "https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference1.png",
    "https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference2.png",
    "https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference3.png"
  ],
  "aspect_ratio": "16:9"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/vidu/reference-to-image' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "The little devil is looking at the apple on the beach and walking around it.",
  "reference_image_urls": [
    "https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference1.png",
    "https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference2.png",
    "https://storage.googleapis.com/falserverless/web-examples/vidu/new-examples/reference3.png"
  ],
  "aspect_ratio": "16:9"
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "405a114e-04bd-463a-a98c-895502cfdce9",
    "response_url": "https://queue.fal.run/fal-ai/vidu/requests/405a114e-04bd-463a-a98c-895502cfdce9",
    "status_url": "https://queue.fal.run/fal-ai/vidu/requests/405a114e-04bd-463a-a98c-895502cfdce9/status",
    "cancel_url": "https://queue.fal.run/fal-ai/vidu/requests/405a114e-04bd-463a-a98c-895502cfdce9/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}